Texa DeskDevelopers

Texa Desk Application API · Reports

Get Account reports summary

GET/api/v2/accounts/{account_id}/reports/summary

Get Account reports summary for a specific type and date range

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Query parameters

typestringrequired

Type of report

idstring

The Id of specific object in case of agent/inbox/label

sincestring

The timestamp from where report should start.

untilstring

The timestamp from where report should stop.

Responses

200

Success

avg_first_response_timestring
avg_resolution_timestring
conversations_countnumber
incoming_messages_countnumber
outgoing_messages_countnumber
resolutions_countnumber
previousobject
previous.avg_first_response_timestring
previous.avg_resolution_timestring
previous.conversations_countnumber
previous.incoming_messages_countnumber
previous.outgoing_messages_countnumber
previous.resolutions_countnumber
404

reports not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring